Bug 521276 - Something about jitter buffer makes VoIP over GStreamer useless (delay around 15 sec)
Something about jitter buffer makes VoIP over GStreamer useless (delay around...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gstreamer-plugins-good (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-09-04 11:55 EDT by Matěj Cepl
Modified: 2009-10-27 02:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.10.16-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-20 20:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
stderr from Empathy (500.88 KB, text/plain)
2009-09-04 11:55 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2009-09-04 11:55:35 EDT
Created attachment 359824 [details]
stderr from Empathy

Description of problem:
Frist I tried to make a call with Pidgin (XMPP/Jingle) and in one case (with upstream developer ;-)) I have managed to have a call. Except that my voice was approx. 15 sec delayed on the other side of the communication.

Same happened to me now when using Empathy with SIP.

Version-Release number of selected component (if applicable):
empathy-2.27.91.1-6.fc12.x86_64
telepathy-sofiasip-0.5.17-1.fc12.x86_64
gstreamer-plugins-good-0.10.16-1.fc12.x86_64
pidgin-2.6.1-1.0.mc.1.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1.just use VoIP application using GStreamer
2.
3.
  
Actual results:
my voice is delayed for approx. 15 sec

Expected results:
delay in reasonable amount (less than few sec, I guess)

Additional info:
Comment 2 Fedora Update System 2009-10-05 15:36:49 EDT
gstreamer-0.10.25-1.fc11,gstreamer-plugins-base-0.10.25-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gstreamer-0.10.25-1.fc11,gstreamer-plugins-base-0.10.25-1.fc11
Comment 3 Fedora Update System 2009-10-06 23:14:19 EDT
gstreamer-0.10.25-1.fc11, gstreamer-plugins-base-0.10.25-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer gstreamer-plugins-base'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10311
Comment 4 Fedora Update System 2009-10-07 06:48:57 EDT
gstreamer-plugins-good-0.10.16-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gstreamer-plugins-good-0.10.16-1.fc11
Comment 5 Fedora Update System 2009-10-08 23:39:09 EDT
gstreamer-plugins-good-0.10.16-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gstreamer-plugins-good'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10348
Comment 6 Matěj Cepl 2009-10-15 12:42:37 EDT
Yes, quality of the call is still unusable, but that's not GStreamer (or PA) fault. This has been fixed.
Comment 7 Fedora Update System 2009-10-20 20:47:04 EDT
gstreamer-0.10.25-1.fc11, gstreamer-plugins-base-0.10.25-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-10-27 02:54:55 EDT
gstreamer-plugins-good-0.10.16-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.